aboutsummaryrefslogtreecommitdiffstats
path: root/main/ctags/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-10-29 12:34:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-10-30 08:23:21 +0000
commit6f56a13ffb2b67e8de33f17877b8476370220d11 (patch)
tree7dd669ac60c28654f0e8a371976b6f5d80c28f76 /main/ctags/APKBUILD
parent7e61d1ec63045bea73675752e5541ee2837870db (diff)
downloadaports-6f56a13ffb2b67e8de33f17877b8476370220d11.tar.gz
aports-6f56a13ffb2b67e8de33f17877b8476370220d11.tar.bz2
aports-6f56a13ffb2b67e8de33f17877b8476370220d11.tar.xz
main/ctags: use macro
Diffstat (limited to 'main/ctags/APKBUILD')
-rw-r--r--main/ctags/APKBUILD36
1 files changed, 26 insertions, 10 deletions
diff --git a/main/ctags/APKBUILD b/main/ctags/APKBUILD
index efb396a9a2..b3d6fd18a9 100644
--- a/main/ctags/APKBUILD
+++ b/main/ctags/APKBUILD
@@ -1,31 +1,47 @@
-# Contributor: Michael Mason <ms13sp@gmail.com>
+# Contributor: Michael Mason <ms13sp@gmail.com>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
pkgname=ctags
pkgver=5.8
-pkgrel=2
+pkgrel=3
pkgdesc="Generator of tags for all types of C/C++ languages"
url="http://ctags.sourceforge.net/"
arch="all"
-license="GPL"
+license="GPL2"
depends=""
makedepends=""
-install=
-subpackages=""
+install=""
+subpackages="$pkgname-doc"
source="http://prdownloads.sourceforge.net/ctags/$pkgname-$pkgver.tar.gz"
-build() {
- cd "$srcdir/$pkgname-$pkgver"
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+build() {
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
--prefix=/usr \
- --sysconfdir=/etc \
--mandir=/usr/share/man \
+ --sysconfdir=/etc \
--infodir=/usr/share/info \
|| return 1
make || return 1
-
- install -m755 -D $pkgname "$pkgdir"/usr/bin/$pkgname
+}
+
+package() {
+ cd "$_builddir"
+ mkdir -p "$pkgdir"
+ make -j1 \
+ DEST_CTAGS="$pkgdir" \
+ mandir="$pkgdir"/usr/share/man \
+ install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
}
md5sums="c00f82ecdcc357434731913e5b48630d ctags-5.8.tar.gz"
+sha256sums="0e44b45dcabe969e0bbbb11e30c246f81abe5d32012db37395eb57d66e9e99c7 ctags-5.8.tar.gz"
+sha512sums="981912cd335978cde22864e977947fc75326572fb29518e559cc4a8ac1edc84b3604165218a666e36353f17da4f89f8e967acdb88696f816748eb946d79eaa15 ctags-5.8.tar.gz"